Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDragLeaveEvent Class Reference

The TQDragLeaveEvent class provides an event which is sent to the widget when a drag and drop leaves the widget. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQDragLeaveEvent ()

## Detailed Description

The TQDragLeaveEvent class provides an event which is sent to the widget when a drag and drop leaves the widget.

This event is always preceded by a TQDragEnterEvent and a series of TQDragMoveEvents. It is not sent if a TQDropEvent is sent instead.

See also TQDragEnterEvent, TQDragMoveEvent, TQDropEvent, Drag And Drop Classes, and Event Classes.

## Member Function Documentation

### TQDragLeaveEvent::TQDragLeaveEvent ()

Constructs a TQDragLeaveEvent.

Warning: Do not create a TQDragLeaveEvent yourself since these objects rely on TQt's internal state.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.